R Binding

ØMQ Compatibility

rzmq will support versions of libzmq >= 2.1 support for libzmq 3.0 is forthocming.


rzmq may be installed within R in the traditional way:


or by downloading the source and installing from the command line:

wget http://cran.r-project.org/src/contrib/rzmq_0.6.1.tar.gz
sudo R CMD INSTALL rzmq_0.6.1.tar.gz

Source Code

The current stable rzmq release can be downloaded from GitHub:
or by cloning using git:

git clone git://github.com/armstrtw/rzmq.git


Windows is not supported at this time, but patches are welcome.


The README file of the source code has a quick summary of information.

Bug Reporting

If you encounter problems please fill a bug report at:


or write an e-mail to:

armstrong.whit <at> gmail <dot> com

Mailing List

Discussions about this language binding take place on the general zeromq-dev list.